


@mixin min-width($size) {
  @media screen and (min-width: $size) {
    @content;
  }
}

@function hoverColor($color: $primary-color) { @return darken($color, 10%) }
@function focusColor($color: $primary-color) { @return darken($color, 15%) }
@function activeColor($color: $primary-color) { @return darken($color, 20%) }
@function default-button-shadow-with-color($base-color) {
  @return 0 6px 18px -4px rgba($base-color, 0.25);
}

@mixin apply-adjusted-colors-to-properties($color, $properties) {
  $_hoverColor: hoverColor($color);
  $_focusColor: focusColor($color);
  $_activeColor: activeColor($color);

  &:hover {
    @each $property in $properties {
      #{$property}: $_hoverColor;
    }
  }
  &:focus {
    @each $property in $properties {
      #{$property}: $_focusColor;
    }
  }
  &:active {
    @each $property in $properties {
      #{$property}: $_activeColor;
    }
  }
}
